## org.apache.xerces.impl.xs.identity
Class Field

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.identity.Field

public class Field
extends java.lang.Object

Schema identity constraint field.

Version:
  $Id: Field.java,v 1.11 2003/03/10 22:51:46 neilg Exp $
Author:
  Andy Clark, IBM

Inner Class Summary
`protected class` `Field.Matcher` Field matcher.
`static class` `Field.XPath` Field XPath.

Field Summary
`protected IdentityConstraint` `fIdentityConstraint` Identity constraint.
`protected Field.XPath` `fXPath` Field XPath.
`protected boolean` `mayMatch`

Constructor Summary
`Field(Field.XPath xpath, IdentityConstraint identityConstraint)` Constructs a field.

Method Summary
`XPathMatcher` `createMatcher(ValueStore store)` Creates a field matcher.
`IdentityConstraint` `getIdentityConstraint()` Returns the identity constraint.
`XPath` `getXPath()` Returns the field XPath.
`boolean` `mayMatch()`
`void` `setMayMatch(boolean b)`
`java.lang.String` `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fXPath

    protected Field.XPath fXPath

  Field XPath.

### fIdentityConstraint

    protected IdentityConstraint fIdentityConstraint

  Identity constraint.

### mayMatch

    protected boolean mayMatch

Constructor Detail

### Field

    public Field(Field.XPath xpath,
                 IdentityConstraint identityConstraint)

  Constructs a field.

Method Detail

### setMayMatch

    public void setMayMatch(boolean b)

### mayMatch

    public boolean mayMatch()

### getXPath

    public XPath getXPath()

  Returns the field XPath.

### getIdentityConstraint

    public IdentityConstraint getIdentityConstraint()

  Returns the identity constraint.

### createMatcher

    public XPathMatcher createMatcher(ValueStore store)

  Creates a field matcher.

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.